GCLOUD_COMPUTE_INSTANCE-GROUPS_MANAGED_DELETE-INSTANCES(1)

NAME

gcloud compute instance-groups managed delete-instances - delete instances managed by managed instance group

SYNOPSIS

gcloud compute instance-groups managed delete-instances NAME --instances INSTANCE,[INSTANCE,...] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instance-groups managed delete-instances is used to deletes one or more instances from a managed instance group. Once the instances are deleted, the size of the group is automatically reduced to reflect the changes. If you would like to keep the underlying virtual machines but still remove them from the managed instance group, use the abandon-instances command instead.

POSITIONAL ARGUMENTS
NAME
    Managed instance group name.

REQUIRED FLAGS
--instances INSTANCE,[INSTANCE,...]
    Names of instances to delete.

OPTIONAL FLAGS
--zone ZONE
    The zone of the instance group manager to delete instances. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.